using Rational.Test.Ft.Object.Interfaces;
using Rational.Test.Ft.Object.Manager;
using Rational.Test.Ft.Object.Map;
using TestObjectReference = Rational.Test.Ft.Object.TestObjectReference;

namespace SDK.Sample
{
	/// <summary>
	/// Summary description for ExtendedToggleGUITestObject.
	/// </summary>
	public class ExtendedToggleGUITestObject : ToggleGUITestObject
	{
		#region TestObject Standard Constructors
		/// <summary>
		/// 
		/// </summary>
		/// <param name="mappedObject"></param>
		public ExtendedToggleGUITestObject(SpyMappedTestObject mappedObject):base (mappedObject) 
		{
		}

		/// <summary>
		/// 
		/// </summary>
		/// <param name="mappedObject"></param>
		/// <param name="anchor"></param>
		public ExtendedToggleGUITestObject(SpyMappedTestObject mappedObject, TestObject anchor)
			:base (mappedObject, anchor)
		{
		}

		/// <summary>
		/// 
		/// </summary>
		/// <param name="mappedObject"></param>
		/// <param name="anchor"></param>
		/// <param name="scriptCommandFlags"></param>
		public ExtendedToggleGUITestObject(SpyMappedTestObject mappedObject, TestObject anchor, 
			long scriptCommandFlags):base (mappedObject, anchor, scriptCommandFlags) 
		{
		}

		/// <summary>
		/// 
		/// </summary>
		/// <param name="ref_Renamed"></param>
		public ExtendedToggleGUITestObject(TestObjectReference ref_Renamed):base (ref_Renamed) 
		{
		}

		/// <summary>
		/// 
		/// </summary>
		/// <param name="obj"></param>
		public ExtendedToggleGUITestObject(TestObject obj):base (obj) 
		{
		}
		#endregion

		/// <summary>
		/// New method included for this testobject
		/// </summary>
		void Check()
		{
			InvokeProxyWithGuiDelay("Check");
		}

		/// <summary>
		/// New method included for this testobject
		/// </summary>
		void Uncheck()
		{
			InvokeProxyWithGuiDelay("Uncheck");
		}

	}
}
